class ArbreBinaire:
    def __init__(self, L):
        if L:
            self.root = L[0]
            self.filsGauche = ArbreBinaire(L[1])
            self.filsDroit = ArbreBinaire(L[2])          
        else:
            self.root = None
            self.filsGauche = None
            self.filsDroit = None

    def arbor(self, space = 0):
        if self.root != None:
            print(" "*space,self.root)
            if self.filsGauche.root == None:
                spaces = " " * (space + 2)
                print(spaces,"-")
            else:
                self.filsGauche.arbor(space + 2)
            if self.filsDroit.root == None:
                spaces = " " * (space + 2)
                print(spaces,"-")
            else:
                self.filsDroit.arbor(space + 2)